Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 854)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 855)
@@ -9,4 +9,7 @@
 # adjust=y during LMDZ_NbPeriod_adjust Period, adjust=n after LMDZ_NbPeriod_adjust
 LMDZ_NbPeriod_adjust=3
+# LMDZ_NbPeriod_adjust=0
+# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
+# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
 
 [InitialStateFiles]
@@ -16,24 +19,10 @@
 [BoundaryFiles]
 List= ()
-# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM) :
+# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
+# With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
 ListNonDel= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_clim_limit.nc, limit.nc),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols2000.nc, aerosols1980.nc),\
-            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols.nat.nc, .)
-# With AR4 sulfates aerosols (including only ASSO4M(=SO4)) :
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1850.cdf, aerosols1850.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1900.cdf, aerosols1900.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1920.cdf, aerosols1920.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1930.cdf, aerosols1930.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1940.cdf, aerosols1940.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1950.cdf, aerosols1950.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1960.cdf, aerosols1960.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1970.cdf, aerosols1970.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1980.cdf, aerosols1980.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run1990.cdf, aerosols1990.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run2000.cdf, aerosols2000.nc),\
-#            (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR4/HISTORIQUE/so4.run.nat.cdf, aerosols.nat.nc),\
-# With ISSCP engine :
-#	     (${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/tautab.formatted, .),\
-#	     (${R_BC}/ATM/${config_UserChoices_TagName}/ISCCP/invtau.formatted, .)
+	    (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_climoz_LMDZ.nc, climoz_LMDZ.nc),\
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995.nc, aerosols1980.nc),\
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860.nc, aerosols.nat.nc)
 
 [ParametersFiles]
@@ -52,29 +41,22 @@
 [OutputFiles]
 List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth), \
-	(histISCCP.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histISCCP.nc,    NONE), \
 	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      NONE), \
         (histrac.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histrac.nc,      NONE), \
 	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       NONE), \
 	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      NONE), \
-	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       NONE), \
-	(histins.nc,      ${R_OUT_ATM_O_I}/${PREFIX}_INS_histins.nc,     NONE)
+	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       NONE)
 
 [Post_1M_histmth]
-Patches= (Patch_20090407_histcom_time_axis)
+Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars= (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
-
-[Post_1M_histISCCP]
-Patches= ()
-GatherWithInternal = (lon, lat, cldtopres, time_counter)
-TimeSeriesVars=(cldISCCP_tau01, cldISCCP_tau11, cldISCCP_tau21, cldISCCP_tau31, cldISCCP_tau41, cldISCCP_tau51, cldISCCP_tau61, ptop, meantaucld)
+TimeSeriesVars = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
 
 [Post_1M_histNMC]
 Patches = ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars= (temp, phi, q, u, v, rh)
+TimeSeriesVars = (temp, phi, q, u, v, rh)
 
 [Post_1M_histrac]
-Patches= (Patch_20090407_histcom_time_axis)
+Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
 TimeSeriesVars=()
@@ -83,13 +65,13 @@
 Patches = ()
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars=()
+TimeSeriesVars = ()
 
 [Post_1D_histday]
-Patches= (Patch_20090407_histcom_time_axis)
+Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars= (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, q2m, sens, sicf, slp, soll, sols, SWdnSFC, taux, tauy, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
+TimeSeriesVars = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, q2m, sens, sicf, slp, soll, sols, SWdnSFC, taux, tauy, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 
 [Post_HF_histhf]
-Patches= (Patch_20090407_histcom_time_axis)
+Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars=(cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
+TimeSeriesVars = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 854)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 855)
@@ -70,8 +70,9 @@
     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_NbPeriod_adjust
     eval LMDZ_NbPeriod_adjust=\${${compname}_UserChoices_LMDZ_NbPeriod_adjust} > /dev/null 2>&1
-    
-    ## algo : CumulPeriod=1 ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Fetch Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Fetch Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust) ; Use Bands ;
+
+    if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_Bands_file_name
+        eval LMDZ_Bands_file_name=\${${compname}_UserChoices_LMDZ_Bands_file_name} > /dev/null 2>&1
+    fi
 
     ##-- This could be define in lmdz.card, inside section [UserChoices]
@@ -115,9 +116,23 @@
     fi
 
+    ## algo : For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
+    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
+    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
+    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+
+    if [ ${CumulPeriod} -eq 1 ] ; then
+        if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+            IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
+        fi
+    fi
+
     LMDZ_adjust=n
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && LMDZ_adjust=y
 
-    RefPeriod=${LMDZ_NbPeriod_adjust}
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 ))
+    RefPeriod=${LMDZ_NbPeriod_adjust} #0 to use a Bands file from Restart
+    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
     [ ${CumulPeriod} -gt 1 ] && IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19	(revision 854)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19	(revision 855)
@@ -73,9 +73,9 @@
 ecrit_day=1.
 ### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=30.
+ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
 ### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=30.
+ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -125,5 +125,5 @@
 fact_cldcon = 1.
 ### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 1.e-4
+facttemps = 0.
 ## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
 ok_newmicro = y
@@ -184,5 +184,5 @@
 ### ok_aie=y/n   flag Aerosol indirect effect
 ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
 ###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
@@ -192,4 +192,19 @@
 ### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
 bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=0
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+## freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
 #
 # Parametres simulateur ISCCP
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L39
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L39	(revision 854)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L39	(revision 855)
@@ -73,9 +73,9 @@
 ecrit_day=1.
 ### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=30.
+ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
 ### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=30.
+ecrit_ISCCP=_ecrit-ISCCP_
 ### niveau du diagnostique de conservation d energie
 if_ebil=0
@@ -125,5 +125,5 @@
 fact_cldcon = 1.
 ### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 1.e-4
+facttemps = 0.
 ## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
 ok_newmicro = y
@@ -184,5 +184,5 @@
 ### ok_aie=y/n   flag Aerosol indirect effect
 ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
 aer_type=actuel
 ###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
@@ -192,4 +192,19 @@
 ### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
 bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+## freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
 #
 # Parametres simulateur ISCCP
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def	(revision 854)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def	(revision 855)
@@ -26,4 +26,4 @@
 adjust=_adjust_
 ## activation du filtre fft
-use_filtre_fft=n
+use_filtre_fft=y
 ## run.sed results are below