Index: CONFIG/LMDZORINCA/trunk/AA_make
===================================================================
--- CONFIG/LMDZORINCA/trunk/AA_make	(revision 636)
+++ CONFIG/LMDZORINCA/trunk/AA_make	(revision 888)
@@ -11,5 +11,5 @@
 
 all : 
-	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake AERxLMD9672 ; fi
+	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake AERxLMD9695 ; fi
 
 
@@ -63,5 +63,5 @@
 
 aer_lmdz9671:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x71x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x71x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -resol 96x71 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x71x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -69,5 +69,5 @@
 
 aer_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -75,5 +75,5 @@
 
 ch4aer_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4_AER -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -81,5 +81,5 @@
 
 ch4_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -87,5 +87,5 @@
 
 nmhc_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -93,10 +93,10 @@
 
 nmhcaer_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC_AER -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 ges_lmdz9672:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie GES -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -106,5 +106,5 @@
 
 aer_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -resol 96x95 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -112,5 +112,5 @@
 
 ch4aer_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4_AER -parallel mpi -resol 96x95 -arch $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -118,5 +118,5 @@
 
 ch4_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4 -parallel mpi -resol 96x95 -arch $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -124,5 +124,5 @@
 
 nmhc_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC -parallel mpi  -resol 96x95 -arch $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
@@ -130,10 +130,10 @@
 
 nmhcaer_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC_AER -parallel mpi -resol 96x95  -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 ges_lmdz9695:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie GES -parallel mpi -resol 96x95 -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )