Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/config.card	(revision 894)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/config.card	(revision 895)
@@ -45,4 +45,104 @@
 
 #========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components 
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=n
+#D- Last day of the experience used as restart for all components
+RestartDate=1869-12-30
+#D- Define restart simulation name for all components
+RestartJobName=CD1
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1M 1D HF"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- OCE -
+[OCE]
+WriteFrequency="1M 1D"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- ICE -
+[ICE]
+WriteFrequency="1M 1D"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18           
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- SRF -
+[SRF]
+WriteFrequency="1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+#-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- SRF - STOMATE
+[SBG]
+WriteFrequency="1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+#-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+#-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- CPL -
+[CPL]
+WriteFrequency="1M 1D"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1999-12-30
+# Define restart simulation name for this component
+RestartJobName=2L18
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
 #D-- ListOfComponents -
 [ListOfComponents]
@@ -68,28 +168,16 @@
 
 #========================================================================
-#D-- Restarts -
-[Restarts]
-#D- If you want a GENERAL RULE FOR ALL COMPONENTS RESTARTS, put this flag to 'y'
-OverRule=n
-#D- Last day of the experience used as restart
-RestartDate=1869-12-30
-#D- Define restart simulation name
-RestartJobName=CD1
-#D- Path Server Group Login
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-
-#========================================================================
 #D-- Post -
 [Post]
 #D- Do we rebuild parallel output, this flag determines
 #D- frequency of rebuild submission (use NONE for DRYRUN=3)
-RebuildFrequency=1Y
+RebuildFrequency=5Y
 #D- Do we rebuild parallel output from archive
 RebuildFromArchive=true
 #D- If you want to produce time series, this flag determines
-#D- frequency of post-processing submission
+#D- frequency of post-processing submission (NONE if you don't want)
 TimeSeriesFrequency=10Y
 #D- If you want to produce seasonal average, this flag determines
-#D- the period of this average
+#D- the period of this average (NONE if you don't want)
 SeasonalFrequency=10Y
 #D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
@@ -98,86 +186,2 @@
 
 #========================================================================
-#D-- ATM -
-[ATM]
-#
-WriteFrequency="1M 1D HF"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart= n
-# Last day of the experience used as restart for this component
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-# Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- OCE -
-[OCE]
-WriteFrequency="1M 1D"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart= n
-##-- Last day of the experience used as restart for this component
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-# Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- ICE -
-[ICE]
-WriteFrequency="1M 1D"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart= n
-##-- Last day of the experience used as restart for this component
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18           
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-# Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- SRF -
-[SRF]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart=n
-##-- Last day of the experience used as restart for this component
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-#-- Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- SRF - STOMATE
-[SBG]
-WriteFrequency="1M"
-Restart=n
-#-- Last day of the experience used as restart
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-#-- Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- CPL -
-[CPL]
-WriteFrequency="1M 1D"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart= n
-##-- Last day of the experience used as restart for this component
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
-# Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================