Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lmdz.driver
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lmdz.driver	(revision 901)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lmdz.driver	(revision 902)
@@ -70,11 +70,11 @@
     PAT_day_step=$(  grep -v ^# ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D} | grep day_step )
 
-    ## Read LMDZ_NbPeriod_adjust option in ${compname}.card 
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_NbPeriod_adjust
-    eval LMDZ_NbPeriod_adjust=\${${compname}_UserChoices_LMDZ_NbPeriod_adjust} > /dev/null 2>&1
+    ## Read LMDZ_NbPeriod_adjust option in lmdz.card 
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_NbPeriod_adjust
+    eval LMDZ_NbPeriod_adjust=\${lmdz_UserChoices_LMDZ_NbPeriod_adjust} > /dev/null 2>&1
 
     if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_Bands_file_name
-        eval LMDZ_Bands_file_name=\${${compname}_UserChoices_LMDZ_Bands_file_name} > /dev/null 2>&1
+        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_Bands_file_name
+        eval LMDZ_Bands_file_name=\${lmdz_UserChoices_LMDZ_Bands_file_name} > /dev/null 2>&1
     fi
 
@@ -127,5 +127,5 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -139,5 +139,5 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
 
     ## Mise en forme du fichier physiq.def
@@ -169,7 +169,7 @@
     IGCM_sys_Mv run.def.tmp run.def
 
-    ## Read ByPass_hgardfou_teta option in ${compname}.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta
-    eval ByPass_hgardfou_teta=\${${compname}_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
+    ## Read ByPass_hgardfou_teta option in lmdz.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_teta
+    eval ByPass_hgardfou_teta=\${lmdz_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
     if [ ${ByPass_hgardfou_teta} = y ] ; then
 	awk '{ if ($0 ~ /^teta.*=/) {split($0,a,"=") ; print a[1]"="a[2]/2"."} else print $0}' gcm.def > gcm.def.tmp
@@ -180,10 +180,10 @@
 	cat gcm.def
 	ByPass_hgardfou_teta=n
-	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
-    fi
-
-    ## Read ByPass_hgardfou_mats option in ${compname}.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats
-    eval ByPass_hgardfou_mats=\${${compname}_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
+	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
+    fi
+
+    ## Read ByPass_hgardfou_mats option in lmdz.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_mats
+    eval ByPass_hgardfou_mats=\${lmdz_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
     if [ ${ByPass_hgardfou_mats} = y ] ; then
 	sed -e "s/^purmats=.*/purmats=y/" gcm.def > gcm.def.tmp
@@ -194,5 +194,5 @@
         cat gcm.def
         ByPass_hgardfou_mats=n
-        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
+        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
     fi
 
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/oasis.driver
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/oasis.driver	(revision 901)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/oasis.driver	(revision 902)
@@ -54,8 +54,8 @@
 
     ############ Update Other Parameters  ##############
-    ## Read Output_mode option in ${compname}.card --> Put "y" to have coupling variables in ouptut files
+    ## Read Output_mode option in oasis.card --> Put "y" to have coupling variables in ouptut files
     CPL_OutputMode="n"
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices OutputMode 
-    eval CPL_OutputMode=\${${compname}_UserChoices_OutputMode} > /dev/null 2>&1
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/oasis.card UserChoices OutputMode 
+    eval CPL_OutputMode=\${oasis_UserChoices_OutputMode} > /dev/null 2>&1
     echo CPL_OutputMode = ${CPL_OutputMode}
     CPL_OutputVar='EXPORTED'
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 901)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 902)
@@ -187,9 +187,9 @@
 
     ##-- Meshmask option
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices mesh_mask
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/opa9.card UserChoices mesh_mask
 
     if [ "${opa9_UserChoices_mesh_mask}" = "y" ]; then
         ORCA_NMSH=1
-        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices mesh_mask "n"
+        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/opa9.card UserChoices mesh_mask "n"
     fi
 
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make	(revision 901)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make	(revision 902)
@@ -10,4 +10,7 @@
 #-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
 #-Q- platine L_X = $(L_O) 
+#-Q- titane # Compiler options NEMO (CCRT Xeon Bull)
+#-Q- titane F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC)
+#-Q- titane L_X = $(L_O)
 #-Q- sx8mercure  # Compiler options NEMO (CCRT SX8-NEC) 
 #-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make.ldef
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make.ldef	(revision 901)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make.ldef	(revision 902)
@@ -19,4 +19,5 @@
 #- Prefix for preprocessing ---
 #-Q- platine prefix = -Wp,-D
+#-Q- titane prefix = -Wp,-D
 #-Q- sx8mercure prefix = -D
 #-Q- sx9mercure prefix = -D