Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_AER/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_AER/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_AER/COMP/inca.card	(revision 903)
@@ -16,11 +16,7 @@
 	    (/dmnfs/cont003/p24data/ECMWF96x72/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
-ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/mozart.nc               ,   mozart.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
+ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc                  ,   npp.nc         )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc                  ,   so4.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		                 ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/AER/INCA${RESOL_CHM}/sflx_lmdz_phy.present.nc,   sflx.nc	    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2	                 ,   phototable.dat )\
@@ -31,6 +27,5 @@
             (${R_INIT}/CHM/LMDZINCA/AER/rhvEC11.09092002.txt	                 ,   rhvEC.txt	    )\
             (${R_INIT}/CHM/LMDZINCA/AER/wthEC11.09092002.txt	                 ,   wthEC.txt	    )\
-            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	                 ,   clyEC.txt	    )\
-            (${R_INIT}/CHM/LMDZINCA/AER/obs_aerinput.prn                         ,   .		    )
+            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	                 ,   clyEC.txt	    )
 
 [ParametersFiles]
Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4/COMP/inca.card	(revision 903)
@@ -12,10 +12,7 @@
 
 ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/mozart.nc               ,   mozart.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	                 ,   npp.nc	    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	                 ,   so4.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		                 ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2	                 ,   phototable.dat )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/landuse.nc              ,   landuse.nc     )\
Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4_AER/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4_AER/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_CH4_AER/COMP/inca.card	(revision 903)
@@ -17,10 +17,7 @@
 
 ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc           ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/mozart.nc           ,   mozart.nc	)\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc         ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	             ,   npp.nc	        )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc         ,   aircraft.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	             ,   so4.nc	        )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		             ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/AER/INCA${RESOL_CHM}/sflx_lmdz_phy.present.nc,   sflx.nc	)\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2	             ,   phototable.dat )\
@@ -31,6 +28,5 @@
             (${R_INIT}/CHM/LMDZINCA/AER/rhvEC11.09092002.txt	             ,   rhvEC.txt	)\
             (${R_INIT}/CHM/LMDZINCA/AER/wthEC11.09092002.txt	             ,   wthEC.txt	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	             ,   clyEC.txt	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/obs_aerinput.prn                     ,   .		)
+            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	             ,   clyEC.txt	)
 
 [ParametersFiles]
Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_GES/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_GES/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_GES/COMP/inca.card	(revision 903)
@@ -11,10 +11,7 @@
 List=
 
-ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
+ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	                 ,   npp.nc	    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	                 ,   so4.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		                 ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/NMHC/INCA${RESOL_CHM}/sflx_Present.nc        ,   sflx.nc        )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2                      ,   phototable.dat )\
Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC/COMP/inca.card	(revision 903)
@@ -12,9 +12,7 @@
 
 ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	                 ,   npp.nc	    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	                 ,   so4.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		                 ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/NMHC/INCA${RESOL_CHM}/sflx_Present.nc        ,   sflx.nc        )\
 	    (${R_INIT}/CHM/LMDZINCA/NMHC/phototable.dat_V4.1	                 ,   phototable.dat )\
Index: CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC_AER/COMP/inca.card	(revision 900)
+++ CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/EXP_NMHC_AER/COMP/inca.card	(revision 903)
@@ -15,9 +15,7 @@
 
 ListNonDel= (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	                 ,   npp.nc	    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
 	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	                 ,   so4.nc	    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		                 ,   obs_input.dat  )\
 	    (${R_INIT}/CHM/LMDZINCA/NMHC_AER/INCA${RESOL_CHM}/sflx_lmdz_phy.present.nc,   sflx.nc        )\
 	    (${R_INIT}/CHM/LMDZINCA/NMHC/phototable.dat_V4.1	                 ,   phototable.dat )\
@@ -28,6 +26,5 @@
             (${R_INIT}/CHM/LMDZINCA/AER/rhvEC11.09092002.txt	                 ,   rhvEC.txt	    )\
             (${R_INIT}/CHM/LMDZINCA/AER/wthEC11.09092002.txt	                 ,   wthEC.txt	    )\
-            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	                 ,   clyEC.txt	    )\
-            (${R_INIT}/CHM/LMDZINCA/AER/obs_aerinput.prn                         ,   .		    )
+            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	                 ,   clyEC.txt	    )
 
 [ParametersFiles]