Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lim2.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lim2.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lim2.card	(revision 939)
@@ -26,23 +26,7 @@
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, time_counter)
-TimeSeriesVars2D = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
+TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
-
-[Post_time]
-Patches = (Patch_20091030_histcom_time_axis)
-GatherWithInternal =
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-
-[Post_mask]
-Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
-GatherWithInternal =
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-
+Seasonal=ON
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lmdz.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/lmdz.card	(revision 939)
@@ -51,8 +51,8 @@
 [OutputFiles]
 List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth), \
-	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      NONE), \
+	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      Post_1M_histNMC), \
 	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       NONE), \
-	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      NONE), \
-	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       NONE)
+	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      Post_1D_histday), \
+	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       Post_HF_histhf)
 
 [Post_1M_histmth]
@@ -61,6 +61,7 @@
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
 ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
+TimeSeriesVars3D = (upwd, lwcon, iwcon, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, ozone, ozone_daylight)
+ChunckJob3D = 100Y
+Seasonal=ON
 
 [Post_1M_histNMC]
@@ -71,4 +72,5 @@
 TimeSeriesVars3D = (temp, phi, q, u, v, rh)
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1M_dynzon]
@@ -79,4 +81,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1D_histday]
@@ -86,5 +89,6 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
-ChunckJob3D = 50Y
+ChunckJob3D = OFF
+Seasonal=OFF
 
 [Post_HF_histhf]
@@ -92,5 +96,6 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
-ChunckJob2D = 30Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = (temp, theta, ovap, ovapinit, vitu, vitv)
-ChunckJob3D = 10Y
+ChunckJob3D = OFF
+Seasonal=OFF
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/oasis.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/oasis.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/oasis.card	(revision 939)
@@ -93,4 +93,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1D_cpl_atm]
@@ -101,4 +102,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1D_cpl_oce]
@@ -109,4 +111,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1M_cpl_atm]
@@ -117,4 +120,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=ON
 
 [Post_1M_cpl_oce]
@@ -125,4 +129,4 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=ON
 
-
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/opa9.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/opa9.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/opa9.card	(revision 939)
@@ -42,5 +42,5 @@
 [OutputFiles]
 List=   (mesh_mask.nc      , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (ORCA2_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, Post_time),\
+        (ORCA2_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, Post_1M_scalar),\
         (ORCA2_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
         (ORCA2_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
@@ -53,36 +53,48 @@
         (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
+[Post_1M_scalar]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (time_counter)
+TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1M_grid_T]
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
-TimeSeriesVars2D = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vosaline,votemper)
+TimeSeriesVars3D = (rhopoto, rsds, thkcello, vosaline,votemper)
 ChunckJob3D = 50Y
+Seasonal=ON
 
 [Post_1M_grid_U]
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
-TimeSeriesVars2D = (sozotaux)
+TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vozocrtx,vozoeivu)
+TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
 ChunckJob3D = 50Y
+Seasonal=ON
 
 [Post_1M_grid_V]
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
-TimeSeriesVars2D = (sometauy)
+TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vomecrty, vomeeivv)
+TimeSeriesVars3D = (vmo, vomecrty, vomeeivv)
 ChunckJob3D = 50Y
+Seasonal=ON
 
 [Post_1M_grid_W]
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
-TimeSeriesVars2D = ()
+TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vovecrtz ,votkeavt, voveeivw)
+TimeSeriesVars3D = (difvmo, difvmto, difvtrto, voddmavs, vomeeivw, votkeavt, vovecrtz, wmo, wmosq)
 ChunckJob3D = 50Y
+Seasonal=ON
 
 [Post_1M_diaptr]
@@ -93,27 +105,12 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=ON
 
 [Post_1D_grid_T]
 Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
 GatherWithInternal = (nav_lon, nav_lat, time_counter)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
+TimeSeriesVars2D = (omldamax, sosstsst, tossq)
+ChunckJob2D = 200Y
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
-
-[Post_time]
-Patches = (Patch_20091030_histcom_time_axis)
-GatherWithInternal =
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-
-[Post_mask]
-Patches = (Patch_20091030_histcom_time_axis,Patch_20091118_mask)
-GatherWithInternal =
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-
+Seasonal=OFF
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/orchidee.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/orchidee.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/orchidee.card	(revision 939)
@@ -37,2 +37,3 @@
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX)
 ChunckJob3D = NONE
+Seasonal=ON
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card	(revision 939)
@@ -35,4 +35,5 @@
 TimeSeriesVars3D = (Alkalini, DIC, NO3)
 ChunckJob3D = NONE
+Seasonal=ON
 
 [Post_1M_diad_T]
@@ -43,4 +44,5 @@
 TimeSeriesVars3D = (PH)
 ChunckJob3D = NONE
+Seasonal=ON
 
 [Post_1D_ptrc_T]
@@ -51,4 +53,5 @@
 TimeSeriesVars3D = (DIC)
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1D_diad_T]
@@ -59,3 +62,3 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
-
+Seasonal=OFF
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/stomate.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/stomate.card	(revision 935)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/stomate.card	(revision 939)
@@ -32,2 +32,3 @@
 TimeSeriesVars3D = (CO2FLUX_MONTHLY,LAI,VEGET,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,HARVEST_ABOVE)
 ChunckJob3D = NONE
+Seasonal=ON