Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/scripts/BB_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/scripts/BB_make	(revision 944)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/scripts/BB_make	(revision 945)
@@ -201,5 +201,4 @@
      key_vvl \
      key_zco \
-     key_zco \
      key_zdfcst \
      key_zdfddm \
@@ -213,5 +212,4 @@
 		$(MODEL_LIB)(lib_cray.o)\
 		$(MODEL_LIB)(lib_print.o)\
-		$(MODEL_LIB)(agrif_oce.o)\
 		$(MODEL_LIB)(agrif_opa_interp.o)\
 		$(MODEL_LIB)(agrif_opa_sponge.o)\
@@ -220,5 +218,4 @@
 		$(MODEL_LIB)(agrif_top_sponge.o)\
 		$(MODEL_LIB)(agrif_top_update.o)\
-		$(MODEL_LIB)(agrif_user.o)\
 		$(MODEL_LIB)(albedo.o)\
 		$(MODEL_LIB)(bdydta.o)\
@@ -698,329 +695,16 @@
 		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
-$(MODEL_LIB)(agrif_oce.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	dom_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	par_oce.F90 \
-	KEY_CPP \
-	agrif_oce.F90
 $(MODEL_LIB)(agrif_opa_interp.o) :	\
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	agrif_oce.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	sol_oce.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_opa_interp.F90
 $(MODEL_LIB)(agrif_opa_sponge.o) :	\
-	dom_oce.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	agrif_oce.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	oce.F90 \
-	par_oce.F90 \
-	domzgr_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_opa_sponge.F90
 $(MODEL_LIB)(agrif_opa_update.o) :	\
-	bdy_oce.F90 \
-	cla_div.F90 \
-	diaar5.F90 \
-	divcur.F90 \
-	dom_oce.F90 \
-	domvvl.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(bdy_oce.o) \
-	$(MODEL_LIB)(cla_div.o) \
-	$(MODEL_LIB)(diaar5.o) \
-	$(MODEL_LIB)(divcur.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(domvvl.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(obc_oce.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	obc_oce.F90 \
-	obc_par.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	sbc_oce.F90 \
-	agrif_oce.F90 \
-	cla_div.F90 \
-	divcur.F90 \
-	dom_oce.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(cla_div.o) \
-	$(MODEL_LIB)(divcur.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sshwzv.o) \
-	oce.F90 \
-	par_oce.F90 \
-	sshwzv.F90 \
-	domzgr_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_opa_update.F90
 $(MODEL_LIB)(agrif_top_interp.o) :	\
-	dom_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	agrif_oce.F90 \
-	dom_oce.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce.F90 \
-	par_oce.F90 \
-	sol_oce.F90 \
-	trc.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_top_interp.F90
 $(MODEL_LIB)(agrif_top_sponge.o) :	\
-	dom_oce.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	agrif_oce.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce.F90 \
-	par_oce.F90 \
-	trc.F90 \
-	domzgr_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_top_sponge.F90
 $(MODEL_LIB)(agrif_top_update.o) :	\
-	dom_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	agrif_oce.F90 \
-	dom_oce.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce.F90 \
-	par_oce.F90 \
-	trc.F90 \
-	domzgr_substitute.h90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
 	agrif_top_update.F90
-$(MODEL_LIB)(agrif_user.o) :	\
-	agrif_oce.F90 \
-	bdyini.F90 \
-	bdy_par.F90 \
-	c1d.F90 \
-	cla_div.F90 \
-	cpl_oasis3.F90 \
-	cpl_oasis4.F90 \
-	diaptr.F90 \
-	divcur.F90 \
-	domain.F90 \
-	domcfg.F90 \
-	dom_oce.F90 \
-	dtasal.F90 \
-	dtatem.F90 \
-	dyncor_c1d.F90 \
-	dynhpg.F90 \
-	dynspg_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	istate.F90 \
-	ldfdyn.F90 \
-	ldftra.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(bdyini.o) \
-	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cla_div.o) \
-	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(diaptr.o) \
-	$(MODEL_LIB)(divcur.o) \
-	$(MODEL_LIB)(domain.o) \
-	$(MODEL_LIB)(domcfg.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dtasal.o) \
-	$(MODEL_LIB)(dtatem.o) \
-	$(MODEL_LIB)(dyncor_c1d.o) \
-	$(MODEL_LIB)(dynhpg.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(istate.o) \
-	$(MODEL_LIB)(ldfdyn.o) \
-	$(MODEL_LIB)(ldftra.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(mppini.o) \
-	$(MODEL_LIB)(obcini.o) \
-	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbcmod.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(sshwzv.o) \
-	$(MODEL_LIB)(step_c1d.o) \
-	$(MODEL_LIB)(step.o) \
-	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmod.o) \
-	$(MODEL_LIB)(trdmod_oce.o) \
-	$(MODEL_LIB)(zdfini.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	mppini.F90 \
-	obcini.F90 \
-	obc_par.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbcmod.F90 \
-	sbc_oce.F90 \
-	sol_oce.F90 \
-	sshwzv.F90 \
-	step_c1d.F90 \
-	step.F90 \
-	trc.F90 \
-	trcini.F90 \
-	trdmod.F90 \
-	trdmod_oce.F90 \
-	zdfini.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	agrif_oce.F90 \
-	agrif_opa_interp.F90 \
-	agrif_opa_sponge.F90 \
-	agrif_opa_update.F90 \
-	agrif_top_interp.F90 \
-	agrif_top_sponge.F90 \
-	agrif_top_update.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
-	$(MODEL_LIB)(agrif_opa_interp.o) \
-	$(MODEL_LIB)(agrif_opa_sponge.o) \
-	$(MODEL_LIB)(agrif_opa_update.o) \
-	$(MODEL_LIB)(agrif_top_interp.o) \
-	$(MODEL_LIB)(agrif_top_sponge.o) \
-	$(MODEL_LIB)(agrif_top_update.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(opa.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(tradmp.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce.F90 \
-	opa.F90 \
-	par_oce.F90 \
-	sol_oce.F90 \
-	tradmp.F90 \
-	trc.F90 \
-	$(AGRIF_LIB) \
-	KEY_CPP \
-	agrif_user.F90
 $(MODEL_LIB)(albedo.o) :	\
 	in_out_manager.F90 \
@@ -3330,5 +3014,4 @@
 	dynnxt_c1d.F90
 $(MODEL_LIB)(dynnxt.o) :	\
-	agrif_oce.F90 \
 	bdy_oce.F90 \
 	bdy_par.F90 \
@@ -3348,5 +3031,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
@@ -3627,5 +3309,4 @@
 	dynspg.F90
 $(MODEL_LIB)(dynspg_flt.o) :	\
-	agrif_oce.F90 \
 	bdy_oce.F90 \
 	bdy_par.F90 \
@@ -3651,5 +3332,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
@@ -10081,5 +9761,4 @@
 	step_c1d.F90
 $(MODEL_LIB)(step.o) :	\
-	agrif_oce.F90 \
 	agrif_opa_interp.F90 \
 	agrif_opa_update.F90 \
@@ -10144,5 +9823,4 @@
 	lib_print.f90 \
 	limwri_2.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(agrif_opa_interp.o) \
 	$(MODEL_LIB)(agrif_opa_update.o) \
@@ -11938,5 +11616,4 @@
 	tranpc.F90
 $(MODEL_LIB)(tranxt.o) :	\
-	agrif_oce.F90 \
 	bdy_oce.F90 \
 	cla_div.F90 \
@@ -11949,5 +11626,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(cla_div.o) \
@@ -14936,5 +14612,4 @@
 	trclsm_pisces.F90
 $(MODEL_LIB)(trcnxt.o) :	\
-	agrif_oce.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -14945,5 +14620,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -16557,5 +16231,4 @@
 	trctrp_ctl.F90
 $(MODEL_LIB)(trctrp.o) :	\
-	agrif_oce.F90 \
 	agrif_top_interp.F90 \
 	agrif_top_update.F90 \
@@ -16568,5 +16241,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(agrif_top_interp.o) \
 	$(MODEL_LIB)(agrif_top_update.o) \