Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml	(revision 969)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml	(revision 970)
@@ -231,5 +231,5 @@
      </group>
 
-      <!-- diad on T grid -->
+      <!-- diad on T grid : : variables available with key_trc_diaadd && key_trc_dia3d -->
 
      <group id="diad_T" axis_ref="none" grid_ref="grid_T">
@@ -245,22 +245,78 @@
        <field id="PFeN"        description="Primary production of nano iron"          unit="mol-Fe/m3/s"  axis_ref="deptht" />
        <field id="PFeD"        description="Primary production of diatoms iron"       unit="mol-Fe/m3/s"  axis_ref="deptht" />
-       <field id="Pcal"        description="Calcite production"                       unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="Dcal"        description="Calcite dissolution"                      unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="Graz"        description="Grazing by microzoo"                      unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="Graz2"       description="Grazing by mesozoo"                       unit="mol-C/m3/s"   axis_ref="deptht" />
-       <field id="Nfix"        description="Nitrogen fixation"                        unit="mol-N/m2/s"   axis_ref="deptht" />
-       <field id="ExpPOC"      description="POC export"                               unit="mol-C/m2/s"   axis_ref="deptht" />
-       <field id="ExpGOC"      description="GOC export"                               unit="mol-C/m2/s"   axis_ref="deptht" />
-       <field id="ExpFe1"      description="Nano iron export"                         unit="mol-Fe/m2/s"  axis_ref="deptht" />
-       <field id="ExpFe2"      description="Diatoms iron export"                      unit="mol-Fe/m2/s"  axis_ref="deptht" />
-       <field id="ExpSi"       description="Silicate export"                          unit="mol-Si/m2/s"  axis_ref="deptht" />
-       <field id="Expcal"      description="Calcite export"                           unit="mol-C/m2/s"   axis_ref="deptht" />
-       <field id="Cflx"        description="DIC flux"                                 unit="mol-C/m2/s" />
-       <field id="Oflx"        description="Oxygen flux"                              unit="mol-C/m2/s" />
+       <field id="PCAL"        description="Calcite production"                       unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="DCAL"        description="Calcite dissolution"                      unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="GRAZ"        description="Grazing by zooplankton"                   unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="Nfix"        description="Nitrogen fixation at surface"             unit="mol-N/m2/s"      />
+       <field id="EPC100"      description="Export of carbon particles at 100 m"      unit="mol-C/m2/s"      />
+       <field id="EPFE100"     description="Export of biogenic iron at 100 m"         unit="mol-Fe/m2/s"     />
+       <field id="EPSI100"     description="Export of Silicate at 100 m"              unit="mol-Si/m2/s"     />
+       <field id="EPCAL100"    description="Export of Calcite at 100 m"               unit="mol-C/m2/s"      />
+       <field id="Cflx"        description="DIC flux"                                 unit="mol-C/m2/s"      />
+       <field id="Oflx"        description="Oxygen flux"                              unit="mol-C/m2/s"      />
        <field id="Kg"          description="Gas transfer"                             unit="mol-C/m2/s/uatm" />
-       <field id="Dpco2"       description="Delta CO2"                                unit="uatm" />
-       <field id="Dpo2"        description="Delta O2"                                 unit="uatm" />
-       <field id="Heup"        description="Euphotic layer depth"                     unit="m" />
-       <field id="Irondep"     description="Iron deposition"                          unit="mol-Fe/m2/s" />
+       <field id="Dpco2"       description="Delta CO2"                                unit="uatm"            />
+       <field id="Dpo2"        description="Delta O2"                                 unit="uatm"            />
+       <field id="Heup"        description="Euphotic layer depth"                     unit="m"               />
+       <field id="Irondep"     description="Iron deposition"                          unit="mol-Fe/m2/s"     />
+     </group>
+
+
+      <!-- dbio_T on T grid : variables available with key_diaar5 -->
+       
+     <group id="dbio_T" axis_ref="none" grid_ref="grid_T">  
+       <field id="PHYT"        description="Total phytoplankton Concentration"                   unit="mol-C/L"     axis_ref="deptht" />
+       <field id="ZOOT"        description="Total zooplankton Concentration"                     unit="mol-C/L"     axis_ref="deptht" />
+       <field id="CHLT"        description="Total chlorophyll Concentration"                     unit="mol-C/L"     axis_ref="deptht" />
+       <field id="POCT"        description="Total carbon particles Concentration"                unit="mol-C/L"     axis_ref="deptht" />
+       <field id="PFET"        description="Total biogenic Iron Concentration"                   unit="mol-C/L"     axis_ref="deptht" />
+       <field id="TPP"         description="Total Primary production of phyto"                   unit="mol-C/m3/s"  axis_ref="deptht" />
+       <field id="TPNEW"       description="New Primary production of phyto"                     unit="mol-C/m3/s"  axis_ref="deptht" />
+       <field id="TPBFE"       description="Total biogenic iron production"                      unit="mol-Fe/m3/s" axis_ref="deptht" />
+       <field id="EXPC"        description="Export of carbon"                                    unit="mol-C/m2/s"  axis_ref="deptht" />
+       <field id="EXPFE"       description="Export of biogenic iron"                             unit="mol-Fe/m2/s" axis_ref="deptht" />
+       <field id="EXPSI"       description="Export of Silicate"                                  unit="mol-Si/m2/s" axis_ref="deptht" />
+       <field id="EXPCAL"      description="Export of Calcite"                                   unit="mol-C/m2/s"  axis_ref="deptht" />
+       <field id="DICSFC"      description="Dissolved inorganic Concentration at surface"        unit="mol-C/L" />
+       <field id="AlkaliniSFC" description="Total Alkalinity Concentration at surface"           unit="eq/L"    />
+       <field id="O2SFC"       description="Oxygen Concentration at surface"                     unit="mol-C/L" />
+       <field id="CaCO3SFC"    description="Calcite Concentration at surface"                    unit="mol-C/L" />
+       <field id="PO4SFC"      description="Phosphate Concentration at surface"                  unit="mol-C/L" />
+       <field id="POCSFC"      description="Small organic carbon Concentration at surface"       unit="mol-C/L" />
+       <field id="SiSFC"       description="Silicate Concentration at surface"                   unit="mol-C/L" />
+       <field id="PHYSFC"      description="Nanophytoplankton Concentration at surface"          unit="mol-C/L" />
+       <field id="ZOOSFC"      description="Microzooplankton Concentration at surface"           unit="mol-C/L" />
+       <field id="DOCSFC"      description="Dissolved organic Concentration at surface"          unit="mol-C/L" />
+       <field id="PHY2SFC"     description="Diatoms Concentration at surface"                    unit="mol-C/L" />
+       <field id="ZOO2SFC"     description="Mesozooplankton Concentration at surface"            unit="mol-C/L" />
+       <field id="BSiSFC"      description="Diatoms Silicate Concentration at surface"           unit="mol-C/L" />
+       <field id="FerSFC"      description="Dissolved Iron Concentration at surface"             unit="mol-C/L" />
+       <field id="BFeSFC"      description="Big iron particles Concentration at surface"         unit="mol-C/L" />
+       <field id="GOCSFC"      description="Big organic carbon Concentration at surface"         unit="mol-C/L" />
+       <field id="SFeSFC"      description="Small iron particles Concentration at surface"       unit="mol-C/L" />
+       <field id="DFeSFC"      description="Diatoms iron  Concentration at surface"              unit="mol-C/L" />
+       <field id="DSiSFC"      description="Sinking biogenic Silicate Concentration at surface"  unit="mol-C/L" />
+       <field id="NFeSFC"      description="Nano iron Concentration at surface"                  unit="mol-C/L" />
+       <field id="NCHLSFC"     description="Nano chlorophyl Concentration at surface"            unit="mol-C/L" />
+       <field id="DCHLSFC"     description="Diatoms chlorophyl Concentration at surface"         unit="mol-C/L" />
+       <field id="NO3SFC"      description="Nitrates Concentration at surface"                   unit="mol-C/L" />
+       <field id="NH4SFC"      description="Ammonium Concentration at surface"                   unit="mol-C/L" />
+       <field id="PHYTSFC"     description="Total phytoplankton Concentration at surface"        unit="mol-C/L" />
+       <field id="ZOOTSFC"     description="Total zooplankton Concentration at surface"          unit="mol-C/L" />
+       <field id="CHLTSFC"     description="Total chlorophyll Concentration at surface"          unit="mol-C/L" />
+       <field id="POCTSFC"     description="Total carbon particles Concentration at surface"     unit="mol-C/L" />
+       <field id="PFETSFC"     description="Total biogenic Iron Concentration at surface"        unit="mol-C/L" />
+       <field id="PHSFC"       description="PH at surface"                                       unit="-"       />
+       <field id="INTDIC"      description="DIC content"                                         unit="kg/m2"   />
+       <field id="O2MIN"       description="Oxygen minimum concentration"                        unit="mol-C/L" />
+       <field id="ZO2MIN"      description="Depth of oxygen minimum concentration"               unit="m"       />
+       <field id="INTNFIX"     description="Nitrogen fixation rate : vert. integrated"           unit="mol-N/m2/s"  />
+       <field id="INTPPPHY"    description="Vertically integrated primary production by nanophy" unit="mol-C/m2/s"  />
+       <field id="INTPPPHY2"   description="Vertically integrated primary production by diatom"  unit="mol-C/m2/s"  />
+       <field id="INTPP"       description="Vertically integrated primary production by phyto"   unit="mol-C/m2/s"  />
+       <field id="INTPNEW"     description="Vertically integrated new primary production"        unit="mol-C/m2/s"  />
+       <field id="INTPBFE"     description="Vertically integrated of biogenic iron production"   unit="mol-Fe/m2/s" />
+       <field id="INTPBSI"     description="Vertically integrated of biogenic Si production"     unit="mol-Si/m2/s" />
+       <field id="INTPCAL"     description="Vertically integrated of calcite production"         unit="mol-Si/m2/s" />
      </group>
        
@@ -522,5 +578,8 @@
 	</file>   
 
-        <file id="ORCA2_1m_ptrc_T" description="pisces sms variables" >
+        <!--
+..............................................   ptrc_T   .................................................
+          -->
+        <file id="ORCA2_1m_ptrc_T" description="Marine Biogeochemical 3-D Fields" >            <!-- ptrc_T -->
           <field ref="DIC"      />
           <field ref="Alkalini" />
@@ -549,5 +608,8 @@
        </file>
 
-       <file id="ORCA2_1m_diad_T" description="additional pisces diagnostics" >
+        <!--
+..............................................  diad_T   .................................................
+          -->
+       <file id="ORCA2_1m_diad_T" description="Marine Biogeochemical Fields : Additional diagnostics" >
           <field ref="PH"       />
           <field ref="CO3"      />
@@ -561,15 +623,12 @@
           <field ref="PFeN"     />
           <field ref="PFeD"     />
-          <field ref="Pcal"     />
-          <field ref="Dcal"     />
-          <field ref="Graz"     />
-          <field ref="Graz2"    />
+          <field ref="PCAL"     />
+          <field ref="DCAL"     />
+          <field ref="GRAZ"     />
+          <field ref="EPC100"   />
+          <field ref="EPFE100"  />
+          <field ref="EPSI100"  />
+          <field ref="EPCAL100" />
           <field ref="Cflx"     />
-          <field ref="ExpPOC"   />
-          <field ref="ExpGOC"   />
-          <field ref="ExpFe1"   />
-          <field ref="ExpFe2"   />
-          <field ref="ExpSi"    />
-          <field ref="Expcal"   />
           <field ref="Oflx"     />
           <field ref="Kg"       />
@@ -579,4 +638,63 @@
           <field ref="Irondep"  />
           <field ref="Nfix"     />
+       </file>
+
+        <!--
+..............................................  dbio_T   .................................................
+          -->
+       <file id="ORCA2_1m_dbio_T" description="Marine Biogeochemical Fields : Additional AR5 variables" >
+          <field ref="PHYT"        />
+          <field ref="ZOOT"        />
+          <field ref="CHLT"        />
+          <field ref="POCT"        />
+          <field ref="PFET"        />
+          <field ref="TPP"         />
+          <field ref="TPNEW"       />
+          <field ref="TPBFE"       />
+          <field ref="EXPC"        />
+          <field ref="EXPFE"       />
+          <field ref="EXPSI"       />
+          <field ref="EXPCAL"      />
+          <field ref="DICSFC"      />
+          <field ref="AlkaliniSFC" />
+          <field ref="O2SFC"       />
+          <field ref="CaCO3SFC"    />
+          <field ref="PO4SFC"      />
+          <field ref="POCSFC"      />
+          <field ref="SiSFC"       />
+          <field ref="PHYSFC"      />
+          <field ref="ZOOSFC"      />
+          <field ref="DOCSFC"      />
+          <field ref="PHY2SFC"     />
+          <field ref="ZOO2SFC"     />
+          <field ref="BSiSFC"      />
+          <field ref="FerSFC"      />
+          <field ref="BFeSFC"      />
+          <field ref="GOCSFC"      />
+          <field ref="SFeSFC"      />
+          <field ref="DFeSFC"      />
+          <field ref="DSiSFC"      />
+          <field ref="NFeSFC"      />
+          <field ref="NCHLSFC"     />
+          <field ref="DCHLSFC"     />
+          <field ref="NO3SFC"      />
+          <field ref="NH4SFC"      />
+          <field ref="PHYTSFC"     />
+          <field ref="ZOOTSFC"     />
+          <field ref="CHLTSFC"     />
+          <field ref="POCTSFC"     />
+          <field ref="PFETSFC"     />
+          <field ref="PHSFC"       />
+          <field ref="INTDIC"      />
+          <field ref="O2MIN"       />
+          <field ref="ZO2MIN"      />
+          <field ref="INTNFIX"     />
+          <field ref="INTPPPHY"    />
+          <field ref="INTPPPHY2"   />
+          <field ref="INTPP"       />
+          <field ref="INTPNEW"     />
+          <field ref="INTPBFE"     />
+          <field ref="INTPBSI"     />
+          <field ref="INTPCAL"     />
        </file>
 
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2	(revision 969)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2	(revision 970)
@@ -228,5 +228,5 @@
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .true.    !  bio-model light penetration
-   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      0    !  RGB : Chl 2D data (=1), 3D data (=2) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction